Summary:	Litecoin is a peer-to-peer currency
Name:		litecoin
Version:	0.8.6.1
Release:	1
License:	MIT/X11
Group:		X11/Applications
Source0:	https://github.com/litecoin-project/litecoin/archive/v%{version}.tar.gz
# Source0-md5:	f818d06cad63cd5cf4ce7c2b8f04edef
URL:		http://www.litecoin.org
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	boost-devel
BuildRequires:	db-cxx-devel
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt4-qmake
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Litecoin is a peer-to-peer currency. Peer-to-peer means that no central
authority issues new money or tracks transactions. These tasks are
managed collectively by the network.

%package qt
Summary:	Qt-based Litecoin Wallet
Group:		X11/Applications

%description qt
Qt-based Litecoin Wallet.

%prep
%setup -q

%build
qmake-qt4 \
	USE_UPNP=1 \
	USE_DBUS=1 \
	USE_QRCODE=1

%{__make}

%{__make} -C src -f makefile.unix \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} %{rpmcxxflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5},%{_localedir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/kde4/services}

install -m755 src/litecoind $RPM_BUILD_ROOT%{_bindir}/litecoind

install litecoin-qt $RPM_BUILD_ROOT%{_bindir}
sed -e 's#bitcoin#litecoin#g' contrib/debian/bitcoin-qt.desktop > $RPM_BUILD_ROOT%{_desktopdir}/litecoin-qt.desktop
sed -e 's#bitcoin#litecoin#g' contrib/debian/bitcoin-qt.protocol > $RPM_BUILD_ROOT%{_datadir}/kde4/services/litecoin-qt.protocol

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/litecoind

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/litecoin-qt
%{_datadir}/kde4/services/litecoin-qt.protocol
%{_desktopdir}/litecoin-qt.desktop
%changelog
* Mon Dec 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/litecoin.git;a=log;h=master

* Mon Dec 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fa7c913
- up to 0.8.6.1

* Sat Sep 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c2784f5
- up to 0.8.5.1

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1227e1a
- up to 0.8.3.7

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0d85803
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 31c2841
- release 2 (by relup.sh)

* Thu Jun 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5be1239
- up to 0.6.9.2

* Tue Jun 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0db91af
- up to 0.6.9.1

* Wed Jun 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d876628
- initial

